@charset "utf-8"; 

/********************************************************
■ SideBar : 사이드바(모바일 메뉴)
********************************************************/
#sidebar {display: none;width: 100%;height: 100%;padding: 20px 0;box-sizing: border-box;background: rgba(66,157,57,.85);backdrop-filter: blur(10px);position: fixed;top: 0;left: 0;z-index: 999999;box-shadow: 0 0 5px 5px rgba(50, 60, 70, 0.15);-webkit-box-shadow: 0 0 5px 5px rgba(50, 60, 70, 0.15);} 
#sidebar .cinner {} 
.sidebar__header {display: flex;justify-content: flex-end;align-items: center;margin-bottom: 30px;width: 100%;height: 50px;}
.sidebar__btn-close {align-self: flex-end;display: block;height: 100%;aspect-ratio: 1 / 1;border: 0;background: no-repeat;position: relative;}
.sidebar__btn-close::before,
.sidebar__btn-close::after {content: '';display: block;width: 100%;height: 3px;background: #fff;position: absolute;top: 0;left: 0;right: 0;bottom: 0;margin: auto;}
.sidebar__btn-close::before {transform: rotate(45deg);}
.sidebar__btn-close::after {transform: rotate(-45deg);}

.sidebar__cont {max-height: 92%;max-height: calc(100vh - 120px);height: 100vh;box-sizing: border-box;overflow-y: scroll;}
.sidebar__cont::-webkit-scrollbar {width: 4px;}
.sidebar__cont::-webkit-scrollbar-thumb {background-color: #bfbfbf;border-radius: 2px;}
.sidebar__cont::-webkit-scrollbar-track {background-color: transparent;}
.sidebar__menu {height: 100%;}
.sidebar__menu_depth1 {height: 100%;}
.sidebar__menu_depth1 a {color: #111;transition: .35s;}
.sidebar__menu_depth1 .sm-ul1 {display: flex;flex-direction: column;justify-content: space-evenly;gap: 50px;height: 100%;}
.sidebar__menu_depth1 .sm-li1 {display: flex;align-items: center;gap: 50px;/* border-bottom: 1px solid #3d3d3d; */position: relative;}
.sidebar__menu_depth1 .sm-li1:has(.sidebar__menu_depth2) >.toggle-arrow {display: none;width: 22px;aspect-ratio: 1 / 1;position: absolute;top: 25px;right: 0;transform: translateY(-50%);cursor: pointer;}
.sidebar__menu_depth1 .sm-li1:has(.sidebar__menu_depth2) >.toggle-arrow::before,
.sidebar__menu_depth1 .sm-li1:has(.sidebar__menu_depth2) >.toggle-arrow::after {content: '';width: 100%;height: 2px;background: #fff;position: absolute;inset: 0;margin: auto;transition: transform 0.3s ease-in-out;}
.sidebar__menu_depth1 .sm-li1:has(.sidebar__menu_depth2) >.toggle-arrow::after {transform: rotate(90deg);}
.sidebar__menu_depth1 .sm-li1:has(.sidebar__menu_depth2).active > .toggle-arrow {/* transform: rotate(-45deg); */}
.sidebar__menu_depth1 .sm-li1:has(.sidebar__menu_depth2).active > .toggle-arrow::after {transform: rotate(0);}
.sidebar__menu_depth1 .sm-a1 {color: #fff;font-family: var(--font-GMarketSans);font-size: 2.50em;font-weight: 500;transition: .35s;}
.sidebar__menu_depth1 .sm-s1 {position: relative;}
.sidebar__menu_depth1 .sm-s1::after {content: '';width: 10px;aspect-ratio: 1 / 1;border-radius: 50%;background: #fff;position: absolute;left: calc(100% + 5px);bottom: 100%;opacity: 0;visibility: hidden;transition: .35s ease;}
.sidebar__menu_depth1 .sm-a1:hover .sm-s1::after,
.sidebar__menu_depth1 .sm-a1:focus .sm-s1::after {opacity: 1;visibility: visible;}
.sidebar__menu_depth2 {max-height: 0;overflow: hidden;transition: max-height 0.3s ease-in-out;}
.sidebar__menu_depth2 .sm-ul2 {display: flex;align-items: center;gap: 50px;}
.sidebar__menu_depth2 .sm-li2 {position: relative;}
.sidebar__menu_depth2 .sm-li2:last-child {border-bottom: 0;}
.sidebar__menu_depth2 .sm-li2:has(.sidebar__menu_depth3) > .toggle-arrow {display: block;width: 12px;height: 12px;border-top: 2px solid #fff;border-right: 2px solid #fff;position: absolute;top: 29px;right: 10px;transform: translateY(-50%) rotate(135deg);cursor: pointer;transition: transform 0.3s ease-in-out;}
.sidebar__menu_depth2 .sm-li2:has(.sidebar__menu_depth3).active > .toggle-arrow {transform: rotate(-45deg);}
.sidebar__menu_depth2 .sm-a2 {display: block;color: rgba(255,255,255,.8);font-size: 1.10em;font-weight: 500;transition: .35s;}
.sidebar__menu_depth2 .sm-a2:hover {color: #fff;}

@media all and (max-width: 1399px){
	.sidebar__menu_depth1 .sm-a1 {font-size: 2.25em;}
}
@media all and (max-width: 1024px){
	.sidebar__btn-close {width: 40px;}
	.sidebar__menu_depth1 .sm-ul1 {gap: 35px;justify-content: normal;}
	.sidebar__menu_depth1 .sm-li1 {display: block;}
	.sidebar__menu_depth1 .sm-a1 {font-size: 2.11em;}
	.sidebar__menu_depth1 .sm-s1::after {display: none;}
	.sidebar__menu_depth1 .sm-li1:has(.sidebar__menu_depth2) >.toggle-arrow {display: block;}
	.sidebar__menu_depth2 .sm-ul2 {display: block;}
	.sidebar__menu_depth2 .sm-a2 {padding: 16px 0;}
}
@media all and (max-width: 768px){
	.sidebar__menu_depth1 .sm-a1 {font-size: 30px;}
	.sidebar__menu_depth1 .sm-li1:has(.sidebar__menu_depth2) >.toggle-arrow {top: 18px;}
}
@media all and (max-width: 640px){
	.sidebar__menu_depth1 .sm-a1 {font-size: 26px;}
	.sidebar__menu_depth1 .sm-li1:has(.sidebar__menu_depth2) >.toggle-arrow {width: 18px;top: 16px;}
}